#define ZACIATOK05  96.0
#define KONIEC05    136.0
#define CFGNAME05  "data\\cfg\\002.cfg"

class efekt_05 : public EFEKT
{
public:
   int  go(double t);
   int  init();
   int  load();
   int  free();
   int  update();

   Scene3DS *sce;
   CameraTarget3DS *kam;

   float begin3d;
   float end3d;

   char scene_name[30];   
   char camera_name[30];  
   char object_name[30];  
   float cl_r,cl_g,cl_b;  
   int lgt;               
   int fog;               
   float fg_r,fg_g,fg_b;  
   float fgd;             
   float vis,minvis;             
   float hfov,vfov;
   int render;
   int obrysy;
   float ob_r,ob_g,ob_b;
   int ob_wdt;
   int rays;
   Object3DS *gula1; 
   Object3DS *gula2; 
   float uhol_counter;
   float uhol;
   float angel_counter;
   float angel;
   DmatrixOrientation<GLmatrix,GLfloat> *dmat2;
   DmatrixOrientation<GLmatrix,GLfloat> *dmat1;
};